CreatePluginCommand (Grails 6.0.0)

Package: org.grails.cli.profile.commands

## [Groovy] Class CreatePluginCommand

- org.grails.cli.profile.commands.CreatePluginCommand

-     @groovy.transform.CompileStatic
      class CreatePluginCommand
      extends CreateAppCommand

  A command for creating a plugin

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CreateAppCommand` | `APPLICATION_YML, BUILD_GRADLE, ENCODING, FEATURES_FLAG, GRADLE_PROPERTIES, GRAILS_VERSION_FALLBACK_IN_IDE_ENVIRONMENTS_FOR_RUNNING_TESTS, INPLACE_FLAG, NAME, PROFILE_FLAG, UNZIP_PROFILE_TEMP_DIR, appname, defaultpackagename, description, groupname, profileRepository, targetDirectory, unzippedDirectories, variables`
    `class ArgumentCompletingCommand` | `cliParser`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CreatePluginCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `getDefaultProfile()`
    `` | `java.lang.String` | `getName()`
    `` | `protected void` | `populateDescription()`
    `` | `protected boolean` | `validateProfile(Profile profileInstance, java.lang.String profileName, ExecutionContext executionContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CreateAppCommand` | `appendFeatureFiles, appendToYmlSubDocument, appendToYmlSubDocument, buildTargetFolders, complete, convertToGradleDependencies, copySkeleton, copySrcToTarget, createNewApplicationYml, createValidPackageName, deleteDirectory, establishGroupAndAppName, evaluateFeatures, evaluateProfileName, findAllFilesByName, getDefaultProfile, getDestinationDirectory, getName, handle, handle, initializeGroupAndName, initializeVariables, isDirectoryEmpty, populateDescription, replaceBuildTokens, resolveArtifactString, unzipProfile, validateProfile`
    `class ArgumentCompletingCommand` | `complete, complete`

- - ### Field Detail

    - #### public static final java.lang.String NAME

  - ### Constructor Detail

    - #### CreatePluginCommand()

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String getDefaultProfile()

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override protected void populateDescription()

    - #### protected boolean validateProfile(Profile profileInstance, java.lang.String profileName, ExecutionContext executionContext)